
#ifndef GAINPUTKEYBOARDKEYNAMES_H_
#define GAINPUTKEYBOARDKEYNAMES_H_

namespace gainput
{

inline
void
GetKeyboardKeyNames(HashMap<Key, const char*>& names)
{
	names[KEY_ESCAPE] = "escape";
	names[KEY_F1] = "f1";
	names[KEY_F2] = "f2";
	names[KEY_F3] = "f3";
	names[KEY_F4] = "f4";
	names[KEY_F5] = "f5";
	names[KEY_F6] = "f6";
	names[KEY_F7] = "f7";
	names[KEY_F8] = "f8";
	names[KEY_F9] = "f9";
	names[KEY_F10] = "f10";
	names[KEY_F11] = "f11";
	names[KEY_F12] = "f12";
	names[KEY_PRINT] = "print";
	names[KEY_SCROLL_LOCK] = "scroll_lock";
	names[KEY_BREAK] = "break";
	names[KEY_SPACE] = "space";
	names[KEY_APOSTROPHE] = "apostrophe";
	names[KEY_COMMA] = "comma";
	names[KEY_MINUS] = "minus";
	names[KEY_PERIOD] = "period";
	names[KEY_SLASH] = "slash";
	names[KEY_0] = "0";
	names[KEY_1] = "1";
	names[KEY_2] = "2";
	names[KEY_3] = "3";
	names[KEY_4] = "4";
	names[KEY_5] = "5";
	names[KEY_6] = "6";
	names[KEY_7] = "7";
	names[KEY_8] = "8";
	names[KEY_9] = "9";
	names[KEY_SEMICOLON] = "semicolon";
	names[KEY_LESS] = "less";
	names[KEY_EQUAL] = "equal";
	names[KEY_A] = "a";
	names[KEY_B] = "b";
	names[KEY_C] = "c";
	names[KEY_D] = "d";
	names[KEY_E] = "e";
	names[KEY_F] = "f";
	names[KEY_G] = "g";
	names[KEY_H] = "h";
	names[KEY_I] = "i";
	names[KEY_J] = "j";
	names[KEY_K] = "k";
	names[KEY_L] = "l";
	names[KEY_M] = "m";
	names[KEY_N] = "n";
	names[KEY_O] = "o";
	names[KEY_P] = "p";
	names[KEY_Q] = "q";
	names[KEY_R] = "r";
	names[KEY_S] = "s";
	names[KEY_T] = "t";
	names[KEY_U] = "u";
	names[KEY_V] = "v";
	names[KEY_W] = "w";
	names[KEY_X] = "x";
	names[KEY_Y] = "y";
	names[KEY_Z] = "z";
	names[KEY_BRACKET_LEFT] = "bracket_left";
	names[KEY_BACKSLASH] = "backslash";
	names[KEY_BRACKET_RIGHT] = "bracket_right";
	names[KEY_GRAVE] = "grave";
	names[KEY_LEFT] = "left";
	names[KEY_RIGHT] = "right";
	names[KEY_UP] = "up";
	names[KEY_DOWN] = "down";
	names[KEY_INSERT] = "insert";
	names[KEY_HOME] = "home";
	names[KEY_DELETE] = "delete";
	names[KEY_END] = "end";
	names[KEY_PAGE_UP] = "page_up";
	names[KEY_PAGE_DOWN] = "page_down";
	names[KEY_NUM_LOCK] = "num_lock";
	names[KEY_KP_DIVIDE] = "kp_divide";
	names[KEY_KP_MULTIPLY] = "kp_multiply";
	names[KEY_KP_SUBTRACT] = "kp_subtract";
	names[KEY_KP_ADD] = "kp_add";
	names[KEY_KP_ENTER] = "kp_enter";
	names[KEY_KP_INSERT] = "kp_insert";
	names[KEY_KP_END] = "kp_end";
	names[KEY_KP_DOWN] = "kp_down";
	names[KEY_KP_PAGE_DOWN] = "kp_page_down";
	names[KEY_KP_LEFT] = "kp_left";
	names[KEY_KP_BEGIN] = "kp_begin";
	names[KEY_KP_RIGHT] = "kp_right";
	names[KEY_KP_HOME] = "kp_home";
	names[KEY_KP_UP] = "kp_up";
	names[KEY_KP_PAGE_UP] = "kp_page_up";
	names[KEY_KP_DELETE] = "kp_delete";
	names[KEY_BACK_SPACE] = "back_space";
	names[KEY_TAB] = "tab";
	names[KEY_RETURN] = "return";
	names[KEY_CAPS_LOCK] = "caps_lock";
	names[KEY_SHIFT_L] = "shift_l";
	names[KEY_CTRL_L] = "ctrl_l";
	names[KEY_SUPER_L] = "super_l";
	names[KEY_ALT_L] = "alt_l";
	names[KEY_ALT_R] = "alt_r";
	names[KEY_SUPER_R] = "super_r";
	names[KEY_MENU] = "menu";
	names[KEY_CTRL_R] = "ctrl_r";
	names[KEY_SHIFT_R] = "shift_r";
	names[KEY_BACK] = "back";
	names[KEY_SOFT_LEFT] = "soft_left";
	names[KEY_SOFT_RIGHT] = "soft_right";
	names[KEY_CALL] = "call";
	names[KEY_ENDCALL] = "endcall";
	names[KEY_STAR] = "star";
	names[KEY_POUND] = "pound";
	names[KEY_DPAD_CENTER] = "dpad_center";
	names[KEY_VOLUME_UP] = "volume_up";
	names[KEY_VOLUME_DOWN] = "volume_down";
	names[KEY_POWER] = "power";
	names[KEY_CAMERA] = "camera";
	names[KEY_CLEAR] = "clear";
	names[KEY_SYM] = "sym";
	names[KEY_EXPLORER] = "explorer";
	names[KEY_ENVELOPE] = "envelope";
	names[KEY_EQUALS] = "equals";
	names[KEY_AT] = "at";
	names[KEY_HEADSETHOOK] = "headsethook";
	names[KEY_FOCUS] = "focus";
	names[KEY_PLUS] = "plus";
	names[KEY_NOTIFICATION] = "notification";
	names[KEY_SEARCH] = "search";
	names[KEY_MEDIA_PLAY_PAUSE] = "media_play_pause";
	names[KEY_MEDIA_STOP] = "media_stop";
	names[KEY_MEDIA_NEXT] = "media_next";
	names[KEY_MEDIA_PREVIOUS] = "media_previous";
	names[KEY_MEDIA_REWIND] = "media_rewind";
	names[KEY_MEDIA_FAST_FORWARD] = "media_fast_forward";
	names[KEY_MUTE] = "mute";
	names[KEY_PICTSYMBOLS] = "pictsymbols";
	names[KEY_SWITCH_CHARSET] = "switch_charset";
	names[KEY_FORWARD] = "forward";
	names[KEY_EXTRA_1] = "extra_1";
	names[KEY_EXTRA_2] = "extra_2";
	names[KEY_EXTRA_3] = "extra_3";
	names[KEY_EXTRA_4] = "extra_4";
	names[KEY_EXTRA_5] = "extra_5";
	names[KEY_EXTRA_6] = "extra_6";
	names[KEY_FN] = "fn";
	names[KEY_CIRCUMFLEX] = "circumflex";
	names[KEY_SSHARP] = "ssharp";
	names[KEY_ACUTE] = "acute";
	names[KEY_ALT_GR] = "alt_gr";
	names[KEY_NUMBERSIGN] = "numbersign";
	names[KEY_UDIAERESIS] = "udiaeresis";
	names[KEY_ADIAERESIS] = "adiaeresis";
	names[KEY_ODIAERESIS] = "odiaeresis";
	names[KEY_SECTION] = "section";
	names[KEY_ARING] = "aring";
	names[KEY_DIAERESIS] = "diaeresis";
	names[KEY_TWOSUPERIOR] = "twosuperior";
	names[KEY_RIGHT_PARENTHESIS] = "right_parenthesis";
	names[KEY_DOLLAR] = "dollar";
	names[KEY_UGRAVE] = "ugrave";
	names[KEY_ASTERISK] = "asterisk";
	names[KEY_COLON] = "colon";
	names[KEY_EXCLAM] = "exclam";
}


}

#endif

